**`KEITH HOWELL`[NAME]** -NL- Bulmershe Road, -NL- Home Tel: **`0118 9268359`[PHONES_PHONE]** -NL- Reading, -NL- Mobile Tel: **`07940 293624`[PHONES_PHONE]** -NL- Berkshire. -NL- Email: **`kh.saint@excite.com`[EMAILS_EMAIL]** -NL- **`PROFILE`[WORK_EXPERIENCE_HEADING]** -NL- Hands-on Systems / **`Software Test Engineer`[EMPLOYER_ROLE]** -NL- with a background within the fixed / mobile telecommunications field, with four -NL- years experience in the design and implementation of test specifications, using -NL- both manual and automated test methods on evolving embedded software. -NL- An experienced versatile professional, accustomed to working with a variety of -NL- disciplines. I aim to maintain a methodical approach, applying accuracy and neatness to -NL- all tasks. Accustomed to working on my own initiative with a positive outlook, cheerful -NL- approach, under a variety of situations. -NL- **`KEY SKILLS`[SKILLS_HEADING]** -NL- Interoperability Testing and Product Validation -NL- R&D Test Case Development -NL- ISEB / ISTOB Certified -NL- Full Test Life Cycle Exposure, Test Case Creation & Execution, Defect Detection -NL- Programming languages: ‘C’, TCL / Tk, SDL, Rational Robot, Perl, Shell Scripting -NL- Operating Systems: Mac OS X, MS Windows, UNIX, Linux, Android -NL- Computer Programs: HTML, MS Office, MS C/C++ -NL- Configuration Management: RCS, CVS -NL- ISO 9001 Awareness -NL- **`CAREER SUMMARY`[OTHERS_HEADING]** -NL- **`SENSIUM HEALTHCARE LTD`[EMPLOYER_COMPANY_NAME]** -NL- Dec 2014 – Sept 2015 -NL- **`Software Test Engineer`[EMPLOYER_ROLE]** (Embedded Systems) -NL- Seneium Heathcare is a business unit, which develops ultra-low power wireless wearable -NL- medical patches for the Hospital environment to monitor patient vital signs. I joined the -NL- organization on a contract basis to assist their biomedical test team in increasing the test -NL- coverage of the product range. -NL- Key Responsibilities: -NL- • End to End System Functional Testing, Regression & Defecting Testing. -NL- • Web based user interface functional testing (Database integrity checking). -NL- • Software upgrading of Bridges, Base stations and Medical Patch Firmware. -NL- • Updating and Reviewing of existing Test case scenarios. -NL- • Exploratory testing around important End to End system issues. -NL- • Analysis of Medical log output for the determination of correct product operation. -NL- • SQL Database interrogation to characterize defects down to specific issues -NL- • Day to day reporting of test activities and issues. -NL- • Use of Jira, Testlink & Redmine reporting and defect tracking tools. -NL- **`RENESAS MOBILE EUROPE`[EMPLOYER_COMPANY_NAME]** (RME) -NL- Oct 2011 – Oct 2013 -NL- **`LNT - Field Test Engineer `[EMPLOYER_ROLE]**-NL- Renesas is a Wireless Modem technology business unit acquired from Nokia in 2010. It develops -NL- 4th generation wireless LTE modem devices for use in OEMs products. I joined the organisation -NL- on a contract basis to help see through a number of GSM / 3G / LTE Field Test activities. -NL- Key Responsibilities: -NL- • Participated in GCF & ADAPT Pre-Cert Field Trials, which involves Static & Mobility Test -NL- case execution in different environments. -NL- • Attended ADAPT NVIOT LTE Conformance lab test sessions, performing (RME) test -NL- cases for internal verification. -NL- • Participated in the Samsung LTE (US & Europe) Field Trial support campaign. -NL- • Limited first line analysis carried out on Field Test logs using in House Tracing tools. -NL- • During Field Trials in and outside of UK, produced daily reports of the days activities, -NL- emphasizing any handset or network issues during each session. -NL- • Performed Validation testing of Released SW fixes of FT issues. -NL- • Performed SW upgrades (flashed) devices in preparation for FT assignments. -NL- • GCF Test case scenarios are all based on the TS11 format. -NL- • Numerous successful Field Trial away Assignments completed to-date. -NL- • Knowledge of incident tracking tool (Jira) -NL- **`SHARP TELECOMMUNICATIONS EUROPE LTD`[EMPLOYER_COMPANY_NAME]** -NL- Jul 2007 – Jan 2008 -NL- **`Product Validation Senior Test Engineer`[EMPLOYER_ROLE]** -NL- Sharp develops handsets for the Japanese and European markets, these products are validated -NL- for correct operation on 3G (UMTS) / GSM / GPRS networks. I joined the company on a short -NL- term contact to help see through a number of 3G Field Trial projects during a busy development -NL- faze for the company. -NL- Key Responsibilities: -NL- • Organised the logistics of proposed Field Trials in UK & Overseas for team members. -NL- • Co-ordinated test case activities for Static and Dynamic Field Trial testing. -NL- • Produced daily reports of the days activities, emphasizing any handset or network issues -NL- during Field Trials. -NL- • Carried out Tool investigation requests from development, reporting on results and -NL- outcomes. -NL- • Prepared automated test tools and the training of staff prior to the use in Field Trials. -NL- • Worked through Customer related Project requests, performed Handset SW and -NL- Automated Tool upgrades. -NL- • Resolved automated tool issues with the aid of satellite development teams in Japan. -NL- • Completed several successful Field Trial away assignments with Perm & Temp staff. -NL- **`ACTIX LTD`[EMPLOYER_COMPANY_NAME]** -NL- 2004 – Jun 2006 -NL- **`Senior Software Test Engineer `[EMPLOYER_ROLE]**-NL- Appointed as a member of the System Test team, to develop and execute manual test cases on -NL- new / existing solutions. Update, and maintain existing test cases. Perform, Performance and -NL- Regression tests on Beta Releases. Liaise with development colleagues at various satellite -NL- locations to resolve outstanding issues. -NL- Key Responsibilities: -NL- • Responsible for prioritizing own workload, planning and scheduling. -NL- • Developed test cases from Product Requirements. -NL- • Reported product discrepancies against requirements, when implementation differed from -NL- the expected. -NL- • Specified areas of risk within Project thus formulating test case strategies to cover -NL- problem areas. -NL- • Organizing test case reviews, and revised documentation to reflect outcome. -NL- • Defining existing test scripts for execution in accordance with test plans. -NL- • Documented Use cases to supplement project test cases. -NL- • Reported anomalies, which deviated from the expected results into the defect analysis -NL- tool. -NL- • Learned QA Director / Test Partner software application for the execution of Automated -NL- Suites. -NL- • Updated VB scripts within Test Partner in accordance to test cases being executed. -NL- • Used in-house Performance, Regression and Automation tools. -NL- **`MOTOROLA`[EMPLOYER_COMPANY_NAME]** LTD -NL- 2000 - 2003 -NL- **`Senior Integration Test Engineer`[EMPLOYER_ROLE]** -NL- Appointed to the Stress, Stability & Performance team for the development and execution of -NL- automated / manual test cases. Performing acceptance testing on mobiles for TETRA protocols. -NL- Verified the performance of the Public Mobile Radio System, by validating the System -NL- Requirements for the System Design Department. -NL- Key Responsibilities: -NL- • Learnt Perl scripting, to analyse layer 2 & 3 signalling protocols, to isolate & report issues. -NL- • Characterised system wide failures down to box level, using proprietary software tools. -NL- • Contributed to the analysis and report preparation for various performance test scenarios. -NL- • Learnt Rational Robot, applied this knowledge to automate performance testing of MMI -NL- Mobile Radio Consoles. -NL- • Updated VB scripts within Rational Robot to ensure test cases were accurately executed. -NL- • Successfully implemented several Rational Robot performance test cases with this -NL- technique. -NL- • Integrated Rational Robot plus proprietary SW tools with Network Manager Clients to -NL- automate database population for numerous SW loads. -NL- • Devised UNIX shell scripts to provide database files to aid use of the Rational Robot tool. -NL- • Organised the infrastructure installation of proprietary data simulation SW suite of tools. -NL- • Integrated all of the SW/HW components of the tool, providing on-going support. -NL- • Established close contacts with the Ottawa automation and Copenhagen database -NL- satellite teams to aid introduction of tools. -NL- • Learnt SDL scripts, to automate several new MMI Mobile Radio test scenarios. -NL- • Improved the turn-around time for database restores between SW loads. -NL- • Coached new graduate group members to bring them up to speed with procedures & -NL- processes within the department. -NL- **`ALCATEL (formerly NEWBRIDGE NETWORKS Ltd)`[EMPLOYER_COMPANY_NAME]** -NL- 1996 – 1999 -NL- **`Senior Systems Test Engineer`[EMPLOYER_ROLE]** -NL- Prime for Narrow-band Multiplexer Automated Test Group. I received “on-the job training” in -NL- Kanata to prepare and plan the commissioning of an automated “NASH” Test environment, with -NL- associated Narrow-band Multiplexer products for the UK. -NL- Key Responsibilities: -NL- Terms: NASH – Newbridge Automated Shell (Unix) -NL- ART – Automated Regression Tool (Windows Application) -NL- • Undertook training in TCL/Tk scripting to establish a more efficient method of developing -NL- automated tests. -NL- • Learned – Unix / Sun & APE environments. -NL- • Deployed a number of Sun Workstations utilizing UNIX throughout the test lab. -NL- • Trained personnel to provide first line support of automated test facilities “ART”. -NL- • Implemented locally, a Configuration Management process using CVS. -NL- • Developed comprehensive test scenarios, which translated into automated voice and -NL- data scripts, remotely controlling, dedicated test equipment. -NL- • Established close contacts with Kanata Automation / NASH Focus groups. -NL- • Evolved the automated station "ART" to support new platforms. -NL- • Planned the phased conversion from ART to NASH. -NL- • Implemented several new ART scripts. -NL- • Raise a number problem reports which resulted a in major re-think in SW implementation. -NL- • Co-ordinated the requests from various departments for the accomplishment of project -NL- objectives. -NL- **`Systems Test Engineer`[EMPLOYER_ROLE]** -NL- 1994 – 1996 -NL- Appointed to prepare and plan the commissioning of the first Narrow-band Multiplexer -NL- Automated testing facilities within UK-R&D. Working initially un-aided after a brief spell of in- -NL- house training. -NL- **`Technician / Hardware Engineer`[EMPLOYER_ROLE]**, **`Alcatel`[EMPLOYER_COMPANY_NAME]**. -NL- 1990 – 1994 -NL- **`Technical Officer`[EMPLOYER_ROLE]**, **`Johnson Matthey Technology Centre`[EMPLOYER_COMPANY_NAME]**, Sonning common. -NL- 1989 – 1990 -NL- **`Junior Engineer`[EMPLOYER_ROLE]**, **`Jekyll Electronic technology Ltd`[EMPLOYER_COMPANY_NAME]**. Aldermaston. -NL- 1987 – 1989 -NL- **`Diagnostic Technician`[EMPLOYER_ROLE]**,**` Digital Equipment & Co`[EMPLOYER_COMPANY_NAME]**, Reading. -NL- 1985 – 1987 -NL- **`Graduate Electronics Engineer`[EMPLOYER_ROLE]**, **`Newbury Data Recording Ltd`[EMPLOYER_COMPANY_NAME]**, Newbury. -NL- 1982 – 1983 -NL- **`Trainee Electronics Technician,`[EMPLOYER_ROLE]** **`Newbury Data Recording Ltd`[EMPLOYER_COMPANY_NAME]**, Newbury. -NL- 1979 – 1980 -NL- **`EDUCATION & TRAINING`[EDUCATION_HEADING]** -NL- **`QUALIFICATIONS`[EDUCATION_HEADING]** -NL- **`BSc`[EDUCATION_DEGREE]** Degree in Electronics & Communications Engineering **`The University of North London`[EDUCATION_INSTITUTE]** 1985 -NL- TEC Higher Diploma in Electronics & Comms Engineering -NL- **`The University of North London`[EDUCATION_INSTITUTE]** 1982 -NL- ISEB / ISTOB Foundation Certificate in Software Testing -NL- Thomson Prometric -NL- 2007 -NL- MEMBERSHIP OF PROFESSIONAL BODIES -NL- Institution of Electrical and Electronic Engineers -NL- since 1985 -NL- Language Skill -NL- Lower Intermediate Mandarin -NL- **`INTERESTS`[SKILLS_HEADING]** -NL- I enjoy creating short movies, and the digital video editing process. Other pursuits include -NL- Cycling, Chess and Travelling. I also swim, play Badminton also keen in pursuing technical -NL- studies out of normal working hours. -NL- 